<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once 'maincore.php';
include THEME.'theme.php';

//start settings
$page_logsize = 2097152; //max size in bytes (dafult 2 mb/2097152 b)
$page_clriflimit = true; //clear if limit OR just stop logging
$page_log = BASEDIR.'_log404.log';
$page_logstyle = $_SERVER['REQUEST_URI'].(isset($_SERVER['HTTP_REFERER'])?' <= '.$_SERVER['HTTP_REFERER']:'').
' ( '.strftime("%H:%I:%S %Y-%m-%d", time()).' @ '.USER_IP.(isset($userdata['user_name'])?' => '.$userdata['user_name']:'')." )\n";

$page_refresh = '10';
$page_title = '404 - Toks puslapis neegzistuoja';
$page_content = '<strong>Šio puslapio neįmanoma rasti.</strong><i> - failo/dokumento nėra serveryje.</i>
<br/>
<div style="text-align:left;width:50%;margin-left:25%;">Galbūt dėl ​​to, kad...<ul>
<li>Jūs įvedėte klaidingą nuorodą, nukreipiančioji į šį puslapį</li>
<li>Tokio failo/dokumento tiesiog nėra serveryje</li>
<li>Klaida rašant pusplapio adresą</li>
<li>Per sena žymą (pasirinkta) jūsų naršyklėje</li>
<li>Per senas puslapių sąrašas Jūsų paieškos programos</li>
</ul></div><br /><br />';
$page_addcntr = 'Per <span id="cntd" style="font-weight:bold;">'.$page_refresh .'</span> sek. Bus atlikta peradresavimas į pagrindinį<br /><br />
( <a href="javascript:history.go(-1);"><strong>Grįžti</strong> į ankstesnį puslapį</a> | <a href="'.$settings['siteurl'].'index.php">Grįžti į <strong>pagrindinį</strong> puslapį</a> )';
//end

if(strpos($_SERVER['REQUEST_URI'],'/'.FUSION_SELF) !== 0){

if(file_exists($page_log)&&filesize($page_log)>$page_logsize){//clear or do nothing
if($page_clriflimit){@unlink($page_log);}
}
else {//save
$flog = @fopen($page_log, 'a');@fwrite($flog,$page_logstyle);@fclose($flog);unset($flog);
}

header('HTTP/1.0 404 Not Found');
	
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head><title>'.$page_title.$locale['global_200'].$settings['sitename'].'</title>';
echo '<meta http-equiv="Content-Type" content="text/html; charset='.$locale['charset'].'" />
<meta http-equiv="refresh" content="'.$page_refresh."; url=".$settings['siteurl'].$settings['opening_page'].'" />
<meta name="description" content="'.$settings['description'].'" />
<meta name="keywords" content="'.$settings['keywords'].'" />
<style type="text/css">html, body { height:100%; }</style>
<link rel="stylesheet" href="'.$settings['siteurl'].str_replace('../','',THEME).'styles.css" type="text/css" />';
?>
<script type="text/javascript"><!--
function cntd_set(){
var t_cntd = document.getElementById('cntd').innerHTML;
if(t_cntd>0){
document.getElementById('cntd').innerHTML = (t_cntd-1);
setTimeout('cntd_set()',1000);
}
}
//--></script>
<?php
if (function_exists('get_head_tags')) { echo get_head_tags(); }
echo '</head><body class="tbl2 setuser_body" onload="cntd_set();">';

echo '<table style="width:100%;height:100%"><tr><td>';

echo '<table cellpadding="0" cellspacing="1" width="80%" class="tbl-border center"><tr>
<td class="tbl1"><div align="center" style="text-align:center"><br />
<img src="'.$settings['siteurl'].$settings['sitebanner'].'" alt="'.$settings['sitename'].'" /><br /><br />';
echo $page_content.$page_addcntr.'<br /><br />
</div></td></tr></table>';

echo '</td></tr></table>
</body></html>';
}
else if(iADMIN) {
if(isset($_GET['log'])) {@unlink($page_log);redirect(FUSION_SELF);}
echo '[<a href="/">Namai</a>] Šiuo momentu žurnale: [<a href="'.FUSION_SELF.'?log=d">clear!</a>] '.(file_exists($page_log)?parsebytesize(filesize($page_log)):'none').'/'.parsebytesize($page_logsize).'<br/><br/>'.(file_exists($page_log)?nl2br(file_get_contents($page_log)):'no log-file created yet!');
}
else {redirect(BASEDIR.'index.php');}

if (ob_get_length() !== FALSE){ob_end_flush();}
//mysql_close($db_connect);//7.01 only
?>